Bug 438422 - vncviewer fails for installer with IPv6
vncviewer fails for installer with IPv6
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-20 15:41 EDT by David Woodhouse
Modified: 2013-04-30 19:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.1.2-31.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 22:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2008-03-20 15:41:31 EDT
The installer tells me to connect to electra.infradead.org:1 with VNC.
This fails, for two reasons.

Firstly, the installer is only listening on the Legacy IP socket and not IPv6.
Secondly, vncviewer isn't conforming to IPv6 and falling back to Legacy IP when
the IPv6 connection fails.

Giving vncviewer the Legacy IP address explicitly works fine.
Comment 1 David Woodhouse 2008-03-20 15:43:30 EDT
The above should read 'conforming to RFC3484'. I suck today. I think I shall
declare the week to be finished now. 
Comment 2 Adam Tkac 2008-04-07 09:38:13 EDT
Would it be possible test improved viewer from
http://kojiweb.fedoraproject.org/koji/taskinfo?taskID=553863, please? Make Xvnc
IPv6 capable needs more work and it is not ready yet (I guess it will be ready
to F10)
Comment 3 David Woodhouse 2008-04-07 11:04:54 EDT
pmac /home/dwmw2 $ rpm -q vnc
vnc-4.1.2-28.fc9.ppc
pmac /home/dwmw2 $ vncviewer pegasos:1

VNC Viewer Free Edition 4.1.2 for X - built Mar 19 2008 07:54:03
Copyright (C) 2002-2005 RealVNC Ltd.
See http://www.realvnc.com for information on VNC.

Mon Apr  7 16:04:28 2008
 main:        unable to connect to host: Connection refused (111)
pmac /home/dwmw2 $ host pegasos
pegasos.infradead.org has address 90.155.92.198
pegasos.infradead.org has IPv6 address 2001:8b0:10b:1:20b:2fff:fe49:bc15
pmac /home/dwmw2 $ vncviewer 90.155.92.198:1

VNC Viewer Free Edition 4.1.2 for X - built Mar 19 2008 07:54:03
Copyright (C) 2002-2005 RealVNC Ltd.
See http://www.realvnc.com for information on VNC.

Mon Apr  7 16:04:41 2008
 CConn:       connected to host 90.155.92.198 port 5901
 CConnection: Server supports RFB protocol version 3.8
 CConnection: Using RFB protocol version 3.8
 TXImage:     Using default colormap and visual, TrueColor, depth 24.
 CConn:       Using pixel format depth 6 (8bpp) rgb222
 CConn:       Using ZRLE encoding
Comment 4 Bug Zapper 2008-05-14 02:46:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Adam Tkac 2008-05-29 12:40:26 EDT
viewer is fixed in latest rawhide build (4.1.2-31.fc10). I will attach this
patch to next F9 update (I wait for more problems, not sure when exactly)
Comment 6 Fedora Update System 2008-07-04 07:23:48 EDT
vnc-4.1.2-31.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-07-06 02:12:35 EDT
vnc-4.1.2-31.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vnc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6120
Comment 8 Fedora Update System 2008-07-08 22:52:50 EDT
vnc-4.1.2-31.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.